- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IDataSource
IItemDataRenderer
IRepeatInfoUser
TActiveFileUpload
TBaseDataList
TBaseValidator
TBoundColumn
TBulletedList
TBulletedListDisplayMode
TBulletedListEventParameter
TBulletStyle
TButton
TButtonColumn
TButtonColumnType
TButtonType
TCaptcha
TCaptchaValidator
TCheckBox
TCheckBoxColumn
TCheckBoxList
TCircleHotSpot
TClientScript
TClientScriptLoader
TClientSideValidationSummaryOptions
TColorPicker
TColorPickerClientSide
TColorPickerMode
TCompareValidator
TCompleteWizardStep
TConditional
TContent
TContentDirection
TContentPlaceHolder
TCustomValidator
TDataBoundControl
TDataGrid
TDataGridColumn
TDataGridColumnCollection
TDataGridCommandEventParameter
TDataGridItem
TDataGridItemCollection
TDataGridItemEventParameter
TDataGridItemRenderer
TDataGridPageChangedEventParameter
TDataGridPager
TDataGridPagerButtonType
TDataGridPagerEventParameter
TDataGridPagerMode
TDataGridPagerPosition
TDataGridPagerStyle
TDataGridSortCommandEventParameter
TDataList
TDataListCommandEventParameter
TDataListItem
TDataListItemCollection
TDataListItemEventParameter
TDataListItemRenderer
TDataRenderer
TDataSourceControl
TDataSourceSelectParameters
TDataSourceView
TDataTypeValidator
TDatePicker
TDatePickerClientScript
TDatePickerInputMode
TDatePickerMode
TDatePickerPositionMode
TDisplayStyle
TDraggable
TDropContainer
TDropDownList
TDropDownListColumn
TEditCommandColumn
TEmailAddressValidator
TExpression
TFileUpload
TFont
THiddenField
THorizontalAlign
THotSpot
THotSpotCollection
THotSpotMode
THtmlArea
THtmlElement
THyperLink
THyperLinkColumn
TImage
TImageButton
TImageClickEventParameter
TImageMap
TImageMapEventParameter
TInlineFrame
TInlineFrameAlign
TInlineFrameScrollBars
TItemDataRenderer
TJavascriptLogger
TKeyboard
TLabel
TLinkButton
TListBox
TListControl
TListControlValidator
TListItem
TListItemCollection
TListItemType
TListSelectionMode
TLiteral
TLiteralColumn
TMarkdown
TMetaTag
TMetaTagCollection
TMultiView
TOutputCache
TOutputCacheCalculateKeyEventParameter
TOutputCacheCheckDependencyEventParameter
TPager
TPagerButtonType
TPagerMode
TPagerPageChangedEventParameter
TPanel
TPanelStyle
TPlaceHolder
TPolygonHotSpot
TRadioButton
TRadioButtonList
TRangeValidationDataType
TRangeValidator
TRatingList
TReadOnlyDataSource
TReadOnlyDataSourceView
TRectangleHotSpot
TRegularExpressionValidator
TRepeatDirection
TRepeater
TRepeaterCommandEventParameter
TRepeaterItem
TRepeaterItemCollection
TRepeaterItemEventParameter
TRepeaterItemRenderer
TRepeatInfo
TRepeatLayout
TRequiredFieldValidator
TSafeHtml
TScrollBars
TServerValidateEventParameter
TSlider
TSliderClientScript
TSliderDirection
TStatements
TStyle
TStyleSheet
TTable
TTableCaptionAlign
TTableCell
TTableCellCollection
TTableFooterRow
TTableGridLines
TTableHeaderCell
TTableHeaderRow
TTableHeaderScope
TTableItemStyle
TTableRow
TTableRowCollection
TTableRowSection
TTableStyle
TTabPanel
TTabView
TTabViewCollection
TTemplateColumn
TTemplatedWizardStep
TTextAlign
TTextBox
TTextBoxAutoCompleteType
TTextBoxMode
TTextHighlighter
TTextHighlighterLineNumberStyle
TValidationCompareOperator
TValidationDataType
TValidationSummary
TValidationSummaryDisplayMode
TValidationSummaryDisplayStyle
TValidatorClientSide
TValidatorDisplayStyle
TVerticalAlign
TView
TViewCollection
TWebControl
TWebControlAdapter
TWizard
TWizardFinishNavigationTemplate
TWizardNavigationButtonStyle
TWizardNavigationButtonType
TWizardNavigationContainer
TWizardNavigationEventParameter
TWizardNavigationTemplate
TWizardSideBarListItemTemplate
TWizardSideBarTemplate
TWizardStartNavigationTemplate
TWizardStep
TWizardStepCollection
TWizardStepNavigationTemplate
TWizardStepType
TXmlTransform

Keyword

# Class TRangeValidator

    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TWebControl
                |
                --TLabel
                   |
                   --TBaseValidator
                      |
                      --TRangeValidator

TRangeValidator class

TRangeValidator tests whether an input value is within a specified range.

TRangeValidator uses three key properties to perform its validation. The MinValue and MaxValue properties specify the minimum and maximum values of the valid range. The DataType property is used to specify the data type of the value and the minimum and maximum range values. These values are converted to this data type before the validation operation is performed. The following value types are supported:

- Integer A 32-bit signed integer data type.
- Float A double-precision floating point number data type.
- Date A date data type. The date format can be specified by setting DateFormat property, which must be recognizable by TSimpleDateFormatter. If the property is not set, the GNU date syntax is assumed.
- String A string data type.
- StringLength check for string length.

If StrictComparison is true, then the ranges are compared as strictly less than the max value and/or strictly greater than the min value.

The TRangeValidator allows a special DataType "StringLength" that can be used to verify minimum and maximum string length. The Charset property can be used to force a particular charset for comparison. Otherwise, the application charset is used and is defaulted as UTF-8.

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Constants Inherited From TControl

AUTOMATIC_ID_PREFIX, CLIENT_ID_SEPARATOR, CS_CHILD_INITIALIZED, CS_CONSTRUCTED, CS_INITIALIZED, CS_LOADED, CS_PRERENDERED, CS_STATE_LOADED, ID_FORMAT, ID_SEPARATOR, IS_CHILD_CREATED, IS_CREATING_CHILD, IS_DISABLE_THEMING, IS_DISABLE_VIEWSTATE, IS_ID_SET, IS_SKIN_APPLIED, IS_STYLESHEET_APPLIED, RF_ADAPTER, RF_AUTO_BINDINGS, RF_CHILD_STATE, RF_CONTROLS, RF_CONTROLSTATE, RF_DATA_BINDINGS, RF_EVENTS, RF_NAMED_CONTROLS, RF_NAMED_CONTROLS_ID, RF_NAMED_OBJECTS, RF_SKIN_ID,

Method Summary
protected boolean | evaluateIsValid () This method overrides the parent's implementation.
string | getCharset ()
protected string | getClientClassName () Gets the name of the javascript class responsible for performing validation for this control.
protected array | getClientScriptOptions () Returns an array of javascript validator options.
TRangeValidationDataType | getDataType ()
string | getDateFormat ()
string | getMaxValue ()
string | getMinValue ()
boolean | getStrictComparison ()
protected void | isGreaterThan ( mixed $left, mixed $right)
protected void | isLessThan ( mixed $left, mixed $right)
protected boolean | isValidDate ( string $value) Determine if the date is within the specified range.
protected boolean | isValidFloat ( string $value) Determine if the value is within the specified float range.
protected boolean | isValidInteger ( string $value) Determine if the value is within the integer range.
protected boolean | isValidString ( string $value) Compare the string with a minimum and a maxiumum value.
protected boolean | isValidStringLength ( string $value)
void | setCharset ( string $value)
void | setDataType ( TRangeValidationDataType $value) Sets the data type that the values being compared are converted to before the comparison is made.
void | setDateFormat ( string $value) Sets the date format for a date validation
void | setMaxValue ( string $value) Sets the maximum value of the validation range.
void | setMinValue ( string $value) Sets the minimum value of the validation range.
void | setStrictComparison ( boolean $value)

Methods Inherited From TBaseValidator

TBaseValidator::addAttributesToRender(), TBaseValidator::createClientSide(), TBaseValidator::getClientScriptOptions(), TBaseValidator::getClientSide(), TBaseValidator::getControlCssClass(), TBaseValidator::getControlToValidate(), TBaseValidator::getDisplay(), TBaseValidator::getEnableClientScript(), TBaseValidator::getErrorMessage(), TBaseValidator::getFocusElementID(), TBaseValidator::getFocusOnError(), TBaseValidator::getIsValid(), TBaseValidator::getValidationGroup(), TBaseValidator::getValidationTarget(), TBaseValidator::getValidationValue(), TBaseValidator::onInit(), TBaseValidator::onPreRender(), TBaseValidator::onUnload(), TBaseValidator::onValidate(), TBaseValidator::onValidationError(), TBaseValidator::onValidationSuccess(), TBaseValidator::registerClientScriptValidator(), TBaseValidator::renderClientControlScript(), TBaseValidator::renderContents(), TBaseValidator::setControlCssClass(), TBaseValidator::setControlToValidate(), TBaseValidator::setDisplay(), TBaseValidator::setEnableClientScript(), TBaseValidator::setEnabled(), TBaseValidator::setErrorMessage(), TBaseValidator::setFocusElementID(), TBaseValidator::setFocusOnError(), TBaseValidator::setForControl(), TBaseValidator::setIsValid(), TBaseValidator::setValidationGroup(), TBaseValidator::updateControlCssClass(), TBaseValidator::validate()

Methods Inherited From TLabel
TLabel::addAttributesToRender(), TLabel::getData(), TLabel::getForControl(), TLabel::getTagName(), TLabel::getText(), TLabel::render(), TLabel::renderContents(), TLabel::setData(), TLabel::setForControl(), TLabel::setText()

Methods Inherited From TWebControl

TWebControl::addAttributesToRender(), TWebControl::clearStyle(), TWebControl::copyBaseAttributes(), TWebControl::createStyle(), TWebControl::getAccessKey(), TWebControl::getBackColor(), TWebControl::getBorderColor(), TWebControl::getBorderStyle(), TWebControl::getBorderWidth(), TWebControl::getCssClass(), TWebControl::getDisplay(), TWebControl::getFont(), TWebControl::getForeColor(), TWebControl::getHasStyle(), TWebControl::getHeight(), TWebControl::getStyle(), TWebControl::getTabIndex(), TWebControl::getTagName(), TWebControl::getToolTip(), TWebControl::getWidth(), TWebControl::render(), TWebControl::renderBeginTag(), TWebControl::renderContents(), TWebControl::renderEndTag(), TWebControl::setAccessKey(), TWebControl::setBackColor(), TWebControl::setBorderColor(), TWebControl::setBorderStyle(), TWebControl::setBorderWidth(), TWebControl::setCssClass(), TWebControl::setDisplay(), TWebControl::setForeColor(), TWebControl::setHeight(), TWebControl::setStyle(), TWebControl::setTabIndex(), TWebControl::setToolTip(), TWebControl::setWidth()

Methods Inherited From TControl

TControl::addedControl(), TControl::addParsedObject(), TControl::addToPostDataLoader(), TControl::applyStyleSheetSkin(), TControl::autoBindProperty(), TControl::autoDataBindProperties(), TControl::bindProperty(), TControl::broadcastEvent(), TControl::bubbleEvent(), TControl::clearChildState(), TControl::clearControlState(), TControl::clearNamingContainer(), TControl::clearViewState(), TControl::convertUniqueIdToClientId(), TControl::createChildControls(), TControl::createControlCollection(), TControl::dataBind(), TControl::dataBindChildren(), TControl::dataBindProperties(), TControl::ensureChildControls(), TControl::findControl(), TControl::findControlsByID(), TControl::findControlsByType(), TControl::focus(), TControl::getAdapter(), TControl::getAllowChildControls(), TControl::getAttribute(), TControl::getAttributes(), TControl::getChildControlsCreated(), TControl::getClientID(), TControl::getControls(), TControl::getControlStage(), TControl::getControlState(), TControl::getCustomData(), TControl::getEnabled(), TControl::getEnableTheming(), TControl::getEnableViewState(), TControl::getHasAdapter(), TControl::getHasAttributes(), TControl::getHasChildInitialized(), TControl::getHasControls(), TControl::getHasInitialized(), TControl::getHasLoaded(), TControl::getHasLoadedPostData(), TControl::getHasPreRendered(), TControl::getID(), TControl::getNamingContainer(), TControl::getPage(), TControl::getParent(), TControl::getRegisteredObject(), TControl::getSkinID(), TControl::getSourceTemplateControl(), TControl::getTemplateControl(), TControl::getUniqueID(), TControl::getViewState(), TControl::getVisible(), TControl::hasAttribute(), TControl::initRecursive(), TControl::isDescendentOf(), TControl::isObjectRegistered(), TControl::loadRecursive(), TControl::loadState(), TControl::loadStateRecursive(), TControl::onDataBinding(), TControl::onInit(), TControl::onLoad(), TControl::onPreRender(), TControl::onUnload(), TControl::preRenderRecursive(), TControl::raiseBubbleEvent(), TControl::registerObject(), TControl::removeAttribute(), TControl::removedControl(), TControl::render(), TControl::renderChildren(), TControl::renderControl(), TControl::saveState(), TControl::saveStateRecursive(), TControl::setAdapter(), TControl::setAttribute(), TControl::setChildControlsCreated(), TControl::setControlStage(), TControl::setControlState(), TControl::setCustomData(), TControl::setEnabled(), TControl::setEnableTheming(), TControl::setEnableViewState(), TControl::setID(), TControl::setPage(), TControl::setSkinID(), TControl::setTemplateControl(), TControl::setViewState(), TControl::setVisible(), TControl::trackViewState(), TControl::traverseChildControls(), TControl::unbindProperty(), TControl::unloadRecursive(), TControl::unregisterObject(), TControl::__get()

Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Constant Summary

Method Details

## evaluateIsValid

protected boolean evaluateIsValid | ()

This method overrides the parent's implementation.

The validation succeeds if the input data is within the range. The validation always succeeds if the input data is empty.

Output
boolean | whether the validation succeeds
Exception

## getCharset

public string getCharset | ()

Output
string | charset for string length comparison.
Exception

## getClientClassName

protected string getClientClassName | ()

Gets the name of the javascript class responsible for performing validation for this control.

This method overrides the parent implementation.

Output
string | the javascript class name
Exception

## getClientScriptOptions

protected array getClientScriptOptions | ()

Returns an array of javascript validator options.

Output
array | javascript validator options.
Exception

## getDataType

public TRangeValidationDataType getDataType | ()

Output
TRangeValidationDataType | the data type that the values being compared are converted to before the comparison is made. Defaults to TRangeValidationDataType::String.
Exception

## getDateFormat

public string getDateFormat | ()

Output
string | the date validation date format if any
Exception

## getMaxValue

public string getMaxValue | ()

Output
string | the maximum value of the validation range.
Exception

## getMinValue

public string getMinValue | ()

Output
string | the minimum value of the validation range.
Exception

## getStrictComparison

public boolean getStrictComparison | ()

Output
boolean | true to perform strict comparison.
Exception

## isGreaterThan

protected void isGreaterThan | (mixed $left , mixed $right )

Input
mixed | $left |
mixed | $right |
Output
Exception

## isLessThan

protected void isLessThan | (mixed $left , mixed $right )

Input
mixed | $left |
mixed | $right |
Output
Exception

## isValidDate

protected boolean isValidDate | (string $value )

Determine if the date is within the specified range.

Uses pradoParseDate and strtotime to get the date from string.

Input
string | $value | date as string to validate
Output
boolean | true if within range.
Exception

## isValidFloat

protected boolean isValidFloat | (string $value )

Determine if the value is within the specified float range.

Input
string | $value | value to validate
Output
boolean | true if within range.
Exception

## isValidInteger

protected boolean isValidInteger | (string $value )

Determine if the value is within the integer range.

Input
string | $value | value to validate true
Output
boolean | true if within integer range.
Exception

## isValidString

protected boolean isValidString | (string $value )

Compare the string with a minimum and a maxiumum value.

Uses strcmp for comparision.

Input
string | $value | value to compare with.
Output
boolean | true if the string is within range.
Exception

## isValidStringLength

protected boolean isValidStringLength | (string $value )

Input
string | $value | string for comparision
Output
boolean | true if min and max string length are satisfied.
Exception

## setCharset

public void setCharset | (string $value )

Input
string | $value | charset for string length comparison.
Output
Exception

## setDataType

public void setDataType | (TRangeValidationDataType $value )

Sets the data type that the values being compared are converted to before the comparison is made.

Input
TRangeValidationDataType | $value | the data type
Output
Exception

## setDateFormat

public void setDateFormat | (string $value )

Sets the date format for a date validation

Input
string | $value | the date format value
Output
Exception

## setMaxValue

public void setMaxValue | (string $value )

Sets the maximum value of the validation range.

Input
string | $value | the maximum value
Output
Exception

## setMinValue

public void setMinValue | (string $value )

Sets the minimum value of the validation range.

Input
string | $value | the minimum value
Output
Exception

## setStrictComparison

public void setStrictComparison | (boolean $value )

Input
boolean | $value | true to perform strict comparison (i.e. strictly less than max and/or strictly greater than min).
Output
Exception